<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_TachoEvents StructType
 * @subpackage Structs
 */
class Get_TachoEvents extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The TachoEventSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TachoEventSelection
     */
    public $TachoEventSelection;
    /**
     * Constructor method for Get_TachoEvents
     * @uses Get_TachoEvents::setLogin()
     * @uses Get_TachoEvents::setTachoEventSelection()
     * @param \StructType\Login $login
     * @param \StructType\TachoEventSelection $tachoEventSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\TachoEventSelection $tachoEventSelection = null)
    {
        $this
            ->setLogin($login)
            ->setTachoEventSelection($tachoEventSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_TachoEvents
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get TachoEventSelection value
     * @return \StructType\TachoEventSelection|null
     */
    public function getTachoEventSelection()
    {
        return $this->TachoEventSelection;
    }
    /**
     * Set TachoEventSelection value
     * @param \StructType\TachoEventSelection $tachoEventSelection
     * @return \StructType\Get_TachoEvents
     */
    public function setTachoEventSelection(\StructType\TachoEventSelection $tachoEventSelection = null)
    {
        $this->TachoEventSelection = $tachoEventSelection;
        return $this;
    }
}
